Skip to main content
`Ctrl`+`K`

# PCCompositeGetNumberPC

Gets the number of `PC` objects in the composite `PC`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCCompositeGetNumberPC(PC pc, PetscInt *num)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- num - the number of sub pcs

## See Also

KSP: Linear System Solvers, `PCCOMPOSITE`, `PCCompositeGetPC()`, `PCCompositeAddPC()`, `PCCompositeAddPCType()`

## Level

developer

## Location

src/ksp/pc/impls/composite/composite.c

## Implementations

PCCompositeGetNumberPC_Composite() in src/ksp/pc/impls/composite/composite.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages